## gcc-4.7-armhf-cross 1.78

=== debian/changelog ===
gcc-4.7-armhf-cross (1.78) raring; urgency=low

  * Build-depend on gcc-4.7-source (>= 4.7.2-18).
  * Merge powerpc cross build changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Jan 2013 17:34:45 +0100
