## gcc-4.7-armhf-cross 1.79

=== debian/changelog ===
gcc-4.7-armhf-cross (1.79) raring; urgency=low

  * Build-depend on gcc-4.7-source (>= 4.7.2-19).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Jan 2013 18:44:29 +0100
