=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.4
 Vcs-bzr: lp:ubuntu/gcc-4.7-armhf-cross
-Build-Depends: gcc-4.7-source (>= 4.7.2-18), binutils-multiarch (>= 2.23.1),
+Build-Depends: gcc-4.7-source (>= 4.7.2-19), binutils-multiarch (>= 2.23.1),
   autoconf2.64, autogen, automake (>= 1:1.11), automake (<< 1:1.12),
   binutils-arm-linux-gnueabihf (>= 2.23.1), bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
@@ -18,7 +18,7 @@
 Homepage: http://gcc.gnu.org/
 
 Package: gcc-4.7-arm-linux-gnueabihf-base
-Architecture: any
+Architecture: amd64 i386
 Section: devel
 Priority: extra
 Depends: ${misc:Depends}
