## gcc-4.7-armhf-cross 1.80

=== debian/changelog ===
gcc-4.7-armhf-cross (1.80) raring; urgency=low

  * Update to SVN 20130214 (r196053) from the gcc-4_7-branch.
  * Update the Linaro support to the 4.7-2013.02 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2013 06:06:10 +0100
