## gcc-4.7-armhf-cross 1.81

=== debian/changelog ===
gcc-4.7-armhf-cross (1.81) raring; urgency=low

  * GCC 4.7.3 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Apr 2013 17:35:04 +0200
