## gcc-4.7-armhf-cross 1.82

=== debian/changelog ===
gcc-4.7-armhf-cross (1.82) saucy; urgency=low

  * Rebuild against current gcc-4.7-source so we're in sync for release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Oct 2013 18:46:53 -0700
