## gcc-4.7-armhf-cross 1.83

=== debian/changelog ===
gcc-4.7-armhf-cross (1.83) saucy; urgency=low

  * Fix build-dependency on automake.
  * Adjust build-conflicts on binutils-gold.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Oct 2013 19:03:50 -0700
