=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.4
 Vcs-bzr: lp:ubuntu/gcc-4.7-armhf-cross
 Build-Depends: gcc-4.7-source (>= 4.7.3-1ubuntu1), binutils-multiarch (>= 2.23.1),
-  autoconf2.64, autogen, automake (>= 1:1.11), automake (<< 1:1.12),
+  autoconf2.64, autogen, automake1.11,
   binutils-arm-linux-gnueabihf (>= 2.23.1), bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1), libc6-dev-armhf-cross (>= 2.13-20ubuntu10), libc6-dev-armel-cross,
@@ -14,7 +14,7 @@
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
   xz-utils, zlib1g-dev
-Build-Conflicts: binutils-gold
+Build-Conflicts: binutils-gold (<< 2.23.52.20130727)
 Homepage: http://gcc.gnu.org/
 
 Package: gcc-4.7-arm-linux-gnueabihf-base
