## gcc-4.7-armhf-cross 1.84

=== debian/changelog ===
gcc-4.7-armhf-cross (1.84) saucy; urgency=low

  * Add build-dependencies on libgcc1-armhf-cross and libgcc1-armel-cross,
    needed now that these libs are built from gcc-4.8 instead of gcc-4.7.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Oct 2013 09:49:13 -0700
