=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 endif
 
 ifeq ($(GCC_VER),4.7)
-  MIN_VER_GCC      := 4.7.2-19
-  PPA_VER_GCC      := 4.7.1
+  MIN_VER_GCC      := 4.7.3-1ubuntu1
+  PPA_VER_GCC      := 4.7.3
 endif
 
 ifndef MIN_VER_GCC
@@ -63,11 +63,11 @@
 
 # We build multilib cross compiler now
 ifeq ($(CROSS_ARCH),armel)
-  EXTRA_BUILD_DEPS += libc6-dev-armhf-cross
+  EXTRA_BUILD_DEPS += libc6-dev-armhf-cross, libgcc1-armhf-cross
 endif
 
 ifeq ($(CROSS_ARCH),armhf)
-  EXTRA_BUILD_DEPS += libc6-dev-armel-cross
+  EXTRA_BUILD_DEPS += libc6-dev-armel-cross, libgcc1-armel-cross
 endif
 
 ifeq ($(CROSS_ARCH),powerpc)
