## gcc-4.7-armhf-cross 1.85

=== debian/changelog ===
gcc-4.7-armhf-cross (1.85) trusty; urgency=medium

  * Build for arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 15:34:11 +0100
