=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
   binutils-arm-linux-gnueabihf (>= 2.23.1), bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1), libc6-dev-armhf-cross (>= 2.13-20ubuntu10), libc6-dev-armel-cross, libgcc1-armel-cross,
-  libcloog-ppl-dev (>= 0.15.9-2~), libgcc1-armhf-cross, libmpc-dev,
-  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
+  libcloog-ppl-dev (>= 0.15.9-2~), libgcc1-armhf-cross,
+  libmpc-dev, libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
   xz-utils, zlib1g-dev
 Build-Conflicts: binutils-gold (<< 2.23.52.20130727)
 Homepage: http://gcc.gnu.org/
 
 Package: gcc-4.7-arm-linux-gnueabihf-base
-Architecture: amd64 i386
+Architecture: amd64 i386 arm64
 Section: devel
 Priority: extra
 Depends: ${misc:Depends}
