## gcc-4.7-armhf-cross 1.86

=== debian/changelog ===
gcc-4.7-armhf-cross (1.86) utopic; urgency=medium

  * Build using GCC 4.7.4.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Oct 2014 22:00:07 +0200
