## gcc-4.7-armhf-cross 1.87

=== debian/changelog ===
gcc-4.7-armhf-cross (1.87) xenial; urgency=medium

  * Build using GCC 4.7.4-3ubuntu10.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2015 15:44:07 +0100
