=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: gcc-4.7-armhf-cross
 Section: devel
 Priority: extra
-#Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
+X-Original-Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
+Standards-Version: 3.9.6
 Vcs-bzr: lp:ubuntu/gcc-4.7-armhf-cross
-Build-Depends: gcc-4.7-source (>= 4.7.4-1ubuntu1), binutils-multiarch (>= 2.23.1),
-  autoconf2.64, autogen, automake1.11,
+Build-Depends: gcc-4.7-source (>= 4.7.4-3ubuntu10), binutils-multiarch (>= 2.23.1),
+  autoconf2.64, autogen, automake1.11, gcc-4.7,
   binutils-arm-linux-gnueabihf (>= 2.23.1), bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1), libc6-dev-armhf-cross (>= 2.13-20ubuntu10), libc6-dev-armel-cross, libgcc1-armel-cross,
-  libcloog-ppl-dev (>= 0.15.9-2~), libgcc1-armhf-cross,
+  libcloog-pplv4-dev (>= 0.15.9-2~), libgcc1-armhf-cross,
   libmpc-dev, libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
   xz-utils, zlib1g-dev
-Build-Conflicts: binutils-gold (<< 2.23.52.20130727)
 Homepage: http://gcc.gnu.org/
 
 Package: gcc-4.7-arm-linux-gnueabihf-base
@@ -287,3 +286,4 @@
 Architecture: all
 Section: debug
 Priority: extra
+Depends: gcc-4.7-arm-linux-gnueabihf-base (= ${gcc:Version}), libn32gcc1-armhf-cross (= ${gcc:EpochVersion}), ${misc:Depends}
