## gcc-4.7-armhf-cross 2

=== debian/changelog ===
gcc-4.7-armhf-cross (2) xenial; urgency=medium

  * Build using GCC 4.7.4-3ubuntu11.
  * Drop build dependencies on libgcc1-armhf-cross and libgcc1-armel-cross.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Dec 2015 19:00:39 +0100
