=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
   autoconf2.64, autogen, automake1.11, gcc-4.7,
   binutils-arm-linux-gnueabihf (>= 2.23.1), bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
-  gperf (>= 3.0.1), libc6-dev-armhf-cross (>= 2.13-20ubuntu10), libc6-dev-armel-cross, libgcc1-armel-cross,
-  libcloog-pplv4-dev (>= 0.15.9-2~), libgcc1-armhf-cross,
+  gperf (>= 3.0.1), libc6-dev-armhf-cross (>= 2.13-20ubuntu10), libc6-dev-armel-cross,
+  libcloog-pplv4-dev (>= 0.15.9-2~),
   libmpc-dev, libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
   xz-utils, zlib1g-dev
@@ -287,3 +287,4 @@
 Section: debug
 Priority: extra
 Depends: gcc-4.7-arm-linux-gnueabihf-base (= ${gcc:Version}), libn32gcc1-armhf-cross (= ${gcc:EpochVersion}), ${misc:Depends}
+Description: GCC support library (debug symbols)
