=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 ifeq ($(GCC_VER),4.7)
-  MIN_VER_GCC      := 4.7.4-3ubuntu10
+  MIN_VER_GCC      := 4.7.4-3ubuntu11
   PPA_VER_GCC      := 4.7.3
 endif
 
@@ -36,6 +36,7 @@
 
 DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
 DEB_VER_ACT      := $(shell dpkg-parsechangelog| sed -n 's/^Version: \(.*\)/\1/p')
+VER_GCC_BASE     := 4.7
 
 ifeq ($(PPA),true)
   VER_GCC        := ${PPA_VER_GCC}
@@ -63,11 +64,11 @@
 
 # We build multilib cross compiler now
 ifeq ($(CROSS_ARCH),armel)
-  EXTRA_BUILD_DEPS += libc6-dev-armhf-cross, libgcc1-armhf-cross
+  EXTRA_BUILD_DEPS += libc6-dev-armhf-cross
 endif
 
 ifeq ($(CROSS_ARCH),armhf)
-  EXTRA_BUILD_DEPS += libc6-dev-armel-cross, libgcc1-armel-cross
+  EXTRA_BUILD_DEPS += libc6-dev-armel-cross
 endif
 
 ifeq ($(CROSS_ARCH),powerpc)
