## gcc-4.7-armhf-cross 3

=== debian/changelog ===
gcc-4.7-armhf-cross (3) xenial; urgency=medium

  * Build using GCC 4.7.4-3ubuntu12.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:57:28 +0100
