=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 X-Original-Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.6
 Vcs-bzr: lp:ubuntu/gcc-4.7-armhf-cross
-Build-Depends: gcc-4.7-source (>= 4.7.4-3ubuntu10), binutils-multiarch (>= 2.23.1),
+Build-Depends: gcc-4.7-source (>= 4.7.4-3ubuntu12), binutils-multiarch (>= 2.23.1),
   autoconf2.64, autogen, automake1.11, gcc-4.7,
   binutils-arm-linux-gnueabihf (>= 2.23.1), bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
