=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 ifeq ($(GCC_VER),4.7)
-  MIN_VER_GCC      := 4.7.4-3ubuntu11
+  MIN_VER_GCC      := 4.7.4-3ubuntu12
   PPA_VER_GCC      := 4.7.3
 endif
